<?php
lt_include(PLOG_CLASS_PATH.'class/view/admin/adminplugintemplatedview.class.php');

class PluginAddCommentNotifyConfigView extends AdminPluginTemplatedView
{
    function PluginAddCommentNotifyConfigView($blogInfo)
    {
        $this->AdminPluginTemplatedView($blogInfo, 'addcommentnotify', 'addcommentnotify');
        return;
    }

    function render()
    {
        $blogSettings = $this->_blogInfo->getSettings();
        $pluginEnabled = $blogSettings->getValue('plugin_addcommentnotify_enabled');
        $notifyTrackback = $blogSettings->getValue('plugin_addcommentnotify_notifytrackback');
        $usemsnclass = $blogSettings->getValue('addcommentnotify_usemsnclass');
        $msnclass_file = $blogSettings->getValue('addcommentnotify_msnclass_file');
        $msn_user = $blogSettings->getValue('addcommentnotify_msn_user');
        $msn_password = $blogSettings->getValue('addcommentnotify_msn_password');
        $msnbot_spool = $blogSettings->getValue('addcommentnotify_msnbot_spool');
        $tolist = $blogSettings->getValue('addcommentnotify_tolist');

        // Export the settings to the template
        $this->setValue('pluginEnabled', $pluginEnabled);
        $this->setValue('notifyTrackback', $notifyTrackback);
        $this->setValue('useMSNClass', $usemsnclass);
        $this->setValue('msnClassFile', $msnclass_file);
        $this->setValue('msnUser', $msn_user);
        $this->setValue('msnPassword', $msn_password);
        $this->setValue('msnbotSpool', $msnbot_spool);
        $this->setValue('toList', $tolist);
        parent::render();

        return true;
    }
}
?>
